%define name xoscope
%define release 1mdk
%define version 1.6

Summary: A digital oscilloscope program for your sound card.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Sciences/Physics
Source0: oscope-%{version}.tar.bz2
Source1: xoscope_menuentry
Buildroot:/var/tmp/%{name}-buildroot 
Exclusivearch: i386 i486 i586 i686

%description

"x*oscope is a digital oscilloscope that uses a sound card and/or Radio Shack
ProbeScope (Cat. No. 22-310) as the signal input.  Either or both devices may
be used simultaneously." Includes memory functions, and many of the other
features you expect of a digital oscope.

Includes svga and GTK+ versions. An athena version can also be built, but
is not included in this package.

%prep 

printenv
%setup -n oscope-${RPM_PACKAGE_VERSION}

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

if [ -x /usr/bin/getconf ] ; then
    NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
    if [ $NRPROC -eq 0 ] ; then
        NRPROC=1
    fi
else
    NRPROC=1
fi  

make -j$NRPROC

%install
	install -d -m 755 $RPM_BUILD_ROOT/usr/bin
	install -m 755 xoscope $RPM_BUILD_ROOT/usr/bin/xoscope
	install -m 755 oscope $RPM_BUILD_ROOT/usr/bin/oscope

	install -d -m 755 $RPM_BUILD_ROOT/usr/lib/oscope
	install -m 755 offt operl xy $RPM_BUILD_ROOT/usr/lib/oscope
	install -m 644 ofreq.ini $RPM_BUILD_ROOT/usr/lib/oscope

	install -d -m 755 $RPM_BUILD_ROOT/usr/man/man1
	install -m 644 oscope.1 $RPM_BUILD_ROOT/usr/man/man1
	install -m 644 xoscope.1 $RPM_BUILD_ROOT/usr/man/man1

# Menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/xoscope

%post
if [ -x /usr/bin/update-menus ]; then
	update-menus
fi

%postun
if [ -x /usr/bin/update-menus ]; then
	update-menus
fi

%files
%defattr(-,root,root)
%doc README README.f51 ChangeLog COPYING TODO HARDWARE
%doc buff.fig buff.ps buff2.fig buff2.ps audio.dat proscope.dat oscope.dat
/usr/man/man1/*
%dir /usr/lib/oscope
/usr/lib/oscope/offt
/usr/lib/oscope/ofreq.ini
/usr/lib/oscope/operl
/usr/lib/oscope/xy
/usr/bin/xoscope
/usr/bin/oscope
/usr/lib/menu/xoscope

%changelog
* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 1.6-1mdk
- Update to 1.6
- Menu entry

* Mon Mar 06 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
- v1.5
